Pulpcore module should deploy Redis only if required by one or more enabled features
06/30/2021 06:33 PM - William Clark

Status: Ready For Testing
Priority: Normal
Assignee: William Clark
Category: Foreman modules

Target version:

Difficulty: Fixed in Releases:
Triaged: No Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request: https://github.com/theforeman/puppet-pul

pcore/pull/206,
https://github.com/theforeman/puppet-pul
pcore/pull/207

Description
With Pulpcore 3.14, Redis will only be required by Pulpcore when one of the following features is enabled:

e use_rq_tasking_system (older tasking system with RQ worker type, no longer default)
¢ Pulpcore's new content caching feature (not yet enabled)

While Redis is still required on Foreman server for Dynflow, due to these changes Redis may not be required for Content Proxy
Server.

Therefore there should be an option to enable or disable (default enable) management of the Redis deployment in puppet-pulpcore,
so that the Capsule scenario can skip deploying Redis when not required by the enabled Pulpcore features.

Associated revisions

Revision 7a5543b1 - 07/09/2021 12:23 PM - William Clark
Refs #32917 - Don't deploy or configure Redis with new tasking system

History

#1 - 06/30/2021 06:45 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/puppet-pulpcore/pull/206 added

#2 - 07/01/2021 04:34 PM - The Foreman Bot
- Pull request https://github.com/theforeman/puppet-pulpcore/pull/207 added
